program project1;

{$mode objfpc}{$H+}


uses

  Platform,
  Threads,
  Framebuffer,
  BCM2836,
  BCM2709,

  GlobalConst,
  GlobalTypes,
  Console,
  SysUtils,
  Keyboard, {Keyboard uses USB so that will be included automatically}
  DWCOTG,   {We need to include the USB host driver for the Raspberry Pi}

  PCF8566;


var
  Handle1:TWindowHandle;
  b1 : Byte;
  Character:Char;




  function IntToBin(Value: Byte): string;
  var
     I: Integer;
  begin
     SetLength(Result, 8);
     for I := 1 to 8 do
     begin
       Result[I] := Char(Ord('0') + (Value shr 7));
       Inc(Value, Value);
     end;
  end;




begin


  sleep(1000);

  Handle1:=ConsoleWindowCreate(ConsoleDeviceGetDefault,CONSOLE_POSITION_FULL,True);

  sleep(1000);

  ConsoleWindowWriteLn(Handle1,'Example I2C');
  ConsoleWindowWriteLn(Handle1,' ');

  b1:=%00000000;

  while true do begin

    if ConsoleReadChar(Character,nil) then
    begin

      if (Character>='a') and (Character<='r') then begin

      case Character of
        'a' : b1:=b1 or  %00000001;
        'b' : b1:=b1 and %11111110;
        'c' : b1:=b1 or  %00000010;
        'd' : b1:=b1 and %11111101;
        'e' : b1:=b1 or  %00000100;
        'f' : b1:=b1 and %11111011;
        'g' : b1:=b1 or  %00001000;
        'h' : b1:=b1 and %11110111;
        'i' : b1:=b1 or  %00001000;
        'j' : b1:=b1 and %11110111;
        'k' : b1:=b1 or  %00010000;
        'l' : b1:=b1 and %11101111;
        'm' : b1:=b1 or  %00100000;
        'n' : b1:=b1 and %11011111;
        'o' : b1:=b1 or  %01000000;
        'p' : b1:=b1 and %10111111;
        'q' : b1:=b1 or  %10000000;
        'r' : b1:=b1 and %01111111;
      end;


      ConsoleWindowWriteLn(Handle1,'b1='+IntToBin(b1));
      PCF8566_Data_Write_Word_Address(b1);

      Character:=#0;

      end;

    end;

  end;



end.

